import { LitElement } from "lit";
export declare class FwFullscreenButton extends LitElement {
    private isFullscreen;
    private _player;
    private _cleanup;
    private get _t();
    static styles: import("lit").CSSResult;
    private _resolvePlayer;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private handleClick;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "fw-fullscreen-button": FwFullscreenButton;
    }
}
